Subject: Re: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env: ‘c:/home/jordan/test.sh’: No such file or directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Dec 2018 12:38:05 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Jordan Wilson <[email-masked]>,  [email-masked]
> Date: Sat, 22 Dec 2018 11:25:53 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I also can't navigate properly using `cd', etc. It returns "No such
> >> directory found via CDPATH environment variable".
> >
> > This I can reproduce.  The corresponding command, eshell/cd, doesn't
> > seem to support remote directories.  Michael, can you look into this?
> 
> I'll try. When I find a Windows machine.
> 
> Isn't this bug#24787?

Yes, definitely looks like it.  But I don't think the discussion of
that bug ended with any conclusions wrt how to fix it, did it?

Thanks.